Class | Bio::Sequence::Format::Formatter::Qual
In: | lib/bio/db/fasta/format_qual.rb
Parent: | Fasta_numeric

INTERNAL USE ONLY, YOU SHOULD NOT USE THIS CLASS. Simple Qual format (sequence quality) output class for Bio::Sequence.

### Methods

new

### Public Class methods

new()

INTERNAL USE ONLY, YOU SHOULD NOT CALL THIS METHOD.

Creates a new Qual format generater object from the sequence.

The only difference from Fastanumeric is that Qual outputs Phred score by default, and data conversion will be performed if needed. Output score type can be changed by the ":quality_score_type" option.

If the sequence have no quality score type information and no error probabilities, but the score exists, the score is regarded as :phred (Phred score).

Arguments:

- sequence: Bio::Sequence object
- (optional) :header => header: (String) (default nil)
- (optional) :width => width: (Fixnum) (default 70)
- (optional) :quality_score_type => type: (Symbol) (default nil)
- (optional) :default_score => score: (Integer) default score for bases that have no valid quality scores or error probabilities (default 0)

[Source]

         # File lib/bio/db/fasta/format_qual.rb, line 105
    105:     def initialize; end

[Validate]